[Git][debian-gis-team/glymur][upstream] New upstream version 0.8.19+ds

Antonio Valentino gitlab at salsa.debian.org
Mon Nov 18 07:13:01 GMT 2019



Antonio Valentino pushed to branch upstream at Debian GIS Project / glymur


Commits:
fac9559d by Antonio Valentino at 2019-11-18T06:54:04Z
New upstream version 0.8.19+ds
- - - - -


29 changed files:

- .gitignore
- .travis.yml
- CHANGES.txt
- PKG-INFO
- + ci/install_openjpeg15.sh
- + ci/requirements_2.7_latest.txt
- + ci/requirements_2.7_opj15.txt
- + ci/requirements_3.5_latest.txt
- + ci/requirements_3.5_no_opj.txt
- + ci/requirements_3.5_opj15.txt
- ci/requirements_3.6_latest.txt
- + ci/requirements_3.6_opj212.txt
- + ci/requirements_3.6_opj220.txt
- + ci/requirements_3.7_latest.txt
- + ci/requirements_3.8_latest.txt
- docs/source/conf.py
- docs/source/introduction.rst
- + docs/source/whatsnew/0.9.rst
- glymur/jp2k.py
- glymur/version.py
- − notes.txt
- setup.py
- + tests/data/__init__.py
- − tests/data/text_gbr_34.txt
- tests/fixtures.py
- tests/test_jp2box_uuid.py
- + tests/test_openjpeg.py
- tests/test_printing.py
- − thang.txt


Changes:

=====================================
.gitignore
=====================================
@@ -1,6 +1,9 @@
 *.pyc
 *.swp
 .coverage
+build
 cover
 dist
+docs/build
+docs/latex
 Glymur.egg-info


=====================================
.travis.yml
=====================================
@@ -41,6 +41,11 @@ matrix:
       env:
           - JOB_NAME "37_latest"
           - JOB_TAG=latest
+    - python: 3.8
+      dist: xenial
+      env:
+          - JOB_NAME "37_latest"
+          - JOB_TAG=latest
 before_install:
   - sh -c "if test $OPJ15 -eq 1; then bash ci/install_openjpeg15.sh; fi"
 install:
@@ -61,7 +66,7 @@ install:
   - conda info -a
 
   # Replace dep1 dep2 ... with your dependencies
-  - conda config --append channels conda-forge
+  - conda config --prepend channels conda-forge
   - conda create -q -n test-environment python=$TRAVIS_PYTHON_VERSION
   - source activate test-environment
   - conda install --file ci/requirements_"$TRAVIS_PYTHON_VERSION"_"$JOB_TAG".txt


=====================================
CHANGES.txt
=====================================
@@ -1,3 +1,6 @@
+November 15, 2019 - v0.8.19
+    Qualify on Python 3.8.
+    
 April 24, 2019 - v0.8.18
     Fix geotiff UUID corner coordinate string representation.
     Improve warning and error messages.


=====================================
PKG-INFO
=====================================
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: Glymur
-Version: 0.8.18
+Version: 0.8.19
 Summary: Tools for accessing JPEG2000 files
 Home-page: https://github.com/quintusdias/glymur
 Author: John Evans
@@ -18,10 +18,10 @@ Description: glymur: a Python interface for JPEG 2000
 Platform: UNKNOWN
 Classifier: Programming Language :: Python
 Classifier: Programming Language :: Python :: 2.7
-Classifier: Programming Language :: Python :: 3.4
 Classifier: Programming Language :: Python :: 3.5
 Classifier: Programming Language :: Python :: 3.6
 Classifier: Programming Language :: Python :: 3.7
+Classifier: Programming Language :: Python :: 3.8
 Classifier: Programming Language :: Python :: Implementation :: CPython
 Classifier: License :: OSI Approved :: MIT License
 Classifier: Development Status :: 5 - Production/Stable


=====================================
ci/install_openjpeg15.sh
=====================================
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Install openjpeg library version 1.5
+
+# Bail out if any errors arise.
+set -e
+
+# Compile openjpeg from source, install into home directory.
+wget https://github.com/uclouvain/openjpeg/archive/version.1.5.2.tar.gz
+tar xvfz version.1.5.2.tar.gz
+mkdir -p openjpeg-version.1.5.2/build
+cd openjpeg-version.1.5.2/build && cmake .. -DCMAKE_INSTALL_PREFIX=$HOME/openjpeg && make && make install
+
+# Setup the configuration file. 
+mkdir -p $HOME/.config/glymur
+cat << EOF > $HOME/.config/glymur/glymurrc
+[library]
+openjpeg:  $HOME/openjpeg/lib/libopenjpeg.so
+EOF


=====================================
ci/requirements_2.7_latest.txt
=====================================
@@ -0,0 +1,10 @@
+contextlib2
+gdal<3.0.0
+importlib_resources
+libgdal
+lxml
+mock
+numpy
+openjpeg
+pathlib2
+scikit-image


=====================================
ci/requirements_2.7_opj15.txt
=====================================
@@ -0,0 +1,4 @@
+importlib_resources
+numpy
+pathlib2
+scikit-image


=====================================
ci/requirements_3.5_latest.txt
=====================================
@@ -0,0 +1,6 @@
+importlib_resources
+gdal<3.0.0
+lxml
+numpy
+openjpeg
+scikit-image


=====================================
ci/requirements_3.5_no_opj.txt
=====================================
@@ -0,0 +1,3 @@
+importlib_resources
+numpy
+scikit-image


=====================================
ci/requirements_3.5_opj15.txt
=====================================
@@ -0,0 +1,5 @@
+importlib_resources
+numpy
+gdal<3.0.0
+lxml
+scikit-image


=====================================
ci/requirements_3.6_latest.txt
=====================================
@@ -1,5 +1,5 @@
 importlib_resources
 numpy
-openjpeg=2.3.0
+openjpeg
 lxml
 scikit-image


=====================================
ci/requirements_3.6_opj212.txt
=====================================
@@ -0,0 +1,5 @@
+importlib_resources
+numpy
+openjpeg=2.1.2
+lxml
+scikit-image


=====================================
ci/requirements_3.6_opj220.txt
=====================================
@@ -0,0 +1,5 @@
+importlib_resources
+numpy
+openjpeg=2.2.0
+lxml
+scikit-image


=====================================
ci/requirements_3.7_latest.txt
=====================================
@@ -0,0 +1,4 @@
+numpy
+openjpeg<3.0.0
+lxml
+scikit-image


=====================================
ci/requirements_3.8_latest.txt
=====================================
@@ -0,0 +1,5 @@
+gdal<3.0.0
+lxml
+numpy
+openjpeg
+scikit-image


=====================================
docs/source/conf.py
=====================================
@@ -69,7 +69,7 @@ master_doc = 'index'
 
 # General information about the project.
 project = u'glymur'
-copyright = u'2013, John Evans'
+copyright = u'2013-2019, John Evans'
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the


=====================================
docs/source/introduction.rst
=====================================
@@ -17,7 +17,7 @@ Glymur will look to use **lxml** when processing boxes with XML content, but can
 fall back upon the standard library's **ElementTree** if **lxml** is not
 available.
 
-Glymur works on Python versions 2.7, 3.5, 3.6, and 3.7.
+Glymur works on Python versions 2.7, 3.5, 3.6, 3.7, and 3.8.
 
 For more information about OpenJPEG, please consult http://www.openjpeg.org.
 
@@ -25,10 +25,5 @@ Glymur Installation
 ===================
 The easiest way to install Glymur is via Anaconda using conda-forge ::
 
-    $ conda config --append channels conda-forge
-    $ conda install glymur
-
-You can also should be able to install Glymur via pip, although you should 
-be sure that OpenJPEG is installed first ::
-
-    $ pip install glymur
+    $ conda create -n testglymur -c conda-forge python glymur
+    $ conda activate testglymur


=====================================
docs/source/whatsnew/0.9.rst
=====================================
@@ -0,0 +1,10 @@
+============================
+Changes coming in 0.9
+============================
+
+    * Python 2.7, 3.5 dropped, support limited to 3.6 and newer.
+    * OpenJPEG 1.5 dropped, support limited to 2.3.0 and newer.
+    * lxml and gdal will be required.   
+    * The ColourSpecificationBox instance attribute "icc_profile_data"
+      will change names to "icc_profile", and the old "icc_profile" will
+      change names to "icc_profile_header".


=====================================
glymur/jp2k.py
=====================================
@@ -2,7 +2,7 @@
 
 http://glymur.readthedocs.org
 
-Copyright 2013 John Evans
+Copyright 2013-2019 John Evans
 
 License:  MIT
 """


=====================================
glymur/version.py
=====================================
@@ -3,7 +3,7 @@ This file is part of glymur, a Python interface for accessing JPEG 2000.
 
 http://glymur.readthedocs.org
 
-Copyright 2013 John Evans
+Copyright 2013-2019 John Evans
 
 License:  MIT
 """
@@ -20,7 +20,7 @@ from .lib import openjpeg as opj, openjp2 as opj2
 
 # Do not change the format of this next line!  Doing so risks breaking
 # setup.py
-version = "0.8.18"
+version = "0.8.19"
 _sv = LooseVersion(version)
 version_tuple = _sv.version
 


=====================================
notes.txt deleted
=====================================
@@ -1,3 +0,0 @@
-Add common test class with test_dir setup
-
-Remove restriction on win32 in test_callbacks by removing use of NamedTemporaryFile


=====================================
setup.py
=====================================
@@ -31,10 +31,10 @@ kwargs['install_requires'] = install_requires
 kwargs['classifiers'] = [
     "Programming Language :: Python",
     "Programming Language :: Python :: 2.7",
-    "Programming Language :: Python :: 3.4",
     "Programming Language :: Python :: 3.5",
     "Programming Language :: Python :: 3.6",
     "Programming Language :: Python :: 3.7",
+    "Programming Language :: Python :: 3.8",
     "Programming Language :: Python :: Implementation :: CPython",
     "License :: OSI Approved :: MIT License",
     "Development Status :: 5 - Production/Stable",


=====================================
tests/data/__init__.py
=====================================


=====================================
tests/data/text_gbr_34.txt deleted
=====================================
@@ -1,22 +0,0 @@
-Colour Specification Box (colr) @ (179, 1339)
-    Method:  any ICC profile
-    Precedence:  2
-    Approximation:  accurately represents correct colorspace definition
-    ICC Profile:
-        {'Size': 1328,
-         'Preferred CMM Type': 1634758764,
-         'Version': '2.2.0',
-         'Device Class': 'display device profile',
-         'Color Space': 'RGB',
-         'Connection Space': 'XYZ',
-         'Datetime': datetime.datetime(2009, 2, 25, 11, 26, 11),
-         'File Signature': 'acsp',
-         'Platform': 'APPL',
-         'Flags': 'not embedded, can be used independently',
-         'Device Manufacturer': 'appl',
-         'Device Model': '',
-         'Device Attributes': 'reflective, glossy, positive media polarity, color '
-                              'media',
-         'Rendering Intent': 'perceptual',
-         'Illuminant': array([ 0.96420288,  1.        ,  0.8249054 ]),
-         'Creator': 'appl'}


=====================================
tests/fixtures.py
=====================================
@@ -238,6 +238,5 @@ NEMO_DUMP_NO_CODESTREAM_NO_XML = data
 NEMO_DUMP_SHORT = load_test_data('nemo_dump_short')
 NEMO_XMP_BOX = load_test_data('nemo_xmp_box')
 SIMPLE_RDF = load_test_data('simple_rdf')
-TEXT_GBR_34 = load_test_data('text_gbr_34')
 TEXT_GBR_35 = load_test_data('text_gbr_35')
 TEXT_GBR_RREQ = load_test_data('text_GBR_rreq')


=====================================
tests/test_jp2box_uuid.py
=====================================
@@ -414,7 +414,7 @@ class TestSuiteHiRISE(fixtures.TestCommon):
         else:
             # Only verify if PY3K, don't bother with Python2.  OrderedDicts
             # print out differently.
-            if sys.hexversion >= 0x03040000:
+            if sys.hexversion > 0x03040000:
                 self.assertEqual(actual, fixtures.GEOTIFF_UUID_WITHOUT_GDAL)
 
 


=====================================
tests/test_openjpeg.py
=====================================
@@ -0,0 +1,46 @@
+"""
+Tests for OpenJPEG module.
+"""
+import ctypes
+import re
+import sys
+import unittest
+
+import glymur
+
+
+ at unittest.skipIf(glymur.lib.openjpeg.OPENJPEG is None,
+                 "Missing openjpeg library.")
+class TestOpenJPEG(unittest.TestCase):
+    """Test suite for openjpeg functions we choose to expose."""
+
+    def test_version(self):
+        """Only versions 1.3, 1.4, and 1.5 are supported."""
+        version = glymur.lib.openjpeg.version()
+        regex = re.compile('1.[345].[0-9]')
+        if sys.hexversion <= 0x03020000:
+            self.assertRegexpMatches(version, regex)
+        else:
+            self.assertRegex(version, regex)
+
+    def test_default_decoder_parameters(self):
+        """Verify that we properly set the default decode parameters."""
+        version = glymur.lib.openjpeg.version()
+        minor = int(version.split('.')[1])
+
+        dcp = glymur.lib.openjpeg.DecompressionParametersType()
+        glymur.lib.openjpeg.set_default_decoder_parameters(ctypes.byref(dcp))
+
+        self.assertEqual(dcp.cp_reduce, 0)
+        self.assertEqual(dcp.cp_layer, 0)
+        self.assertEqual(dcp.infile, b'')
+        self.assertEqual(dcp.outfile, b'')
+        self.assertEqual(dcp.decod_format, -1)
+        self.assertEqual(dcp.cod_format, -1)
+        self.assertEqual(dcp.jpwl_correct, 0)
+        self.assertEqual(dcp.jpwl_exp_comps, 0)
+        self.assertEqual(dcp.jpwl_max_tiles, 0)
+        self.assertEqual(dcp.cp_limit_decoding, 0)
+        if minor > 4:
+            # Introduced in 1.5.x
+            self.assertEqual(dcp.flags, 0)


=====================================
tests/test_printing.py
=====================================
@@ -768,27 +768,26 @@ class TestPrinting(fixtures.TestCommon):
     @unittest.skipIf(sys.hexversion < 0x03000000,
                      "Only trusting python3 for printing non-ascii chars")
     def test_xml_cyrrilic(self):
-        """Should be able to print XMLBox with utf-8 encoding (cyrrillic)."""
-        # Seems to be inconsistencies between different versions of python2.x
-        # as to what gets printed.
-        #
-        # 2.7.5 (fedora 19) prints xml entities.
-        # 2.7.3 seems to want to print hex escapes.
-        text = u"""<country>Россия</country>"""
-        if sys.hexversion < 0x03000000:
-            xml = ET.parse(StringIO(text.encode('utf-8')))
-        else:
-            xml = ET.parse(StringIO(text))
+        """
+        SCENARIO:  An XMLBox contains cyrrillic characters.
 
+        There seems to be inconsistencies between different versions of
+        python2.x as to what gets printed.
+
+        2.7.5 (fedora 19) prints xml entities.
+        2.7.3 seems to want to print hex escapes.
+
+        EXPECTED RESULT:  The box should print as expected under python3.
+        """
+        text = u"""<country>Россия</country>"""
+        xml = ET.parse(StringIO(text))
         xmlbox = glymur.jp2box.XMLBox(xml=xml)
+
         actual = str(xmlbox)
-        if sys.hexversion < 0x03000000:
-            expected = ("XML Box (xml ) @ (-1, 0)\n"
-                        ("    <country>Росс"
-                         "ия</country>"))
-        else:
-            expected = ("XML Box (xml ) @ (-1, 0)\n"
-                        "    <country>Россия</country>")
+        expected = (
+            "XML Box (xml ) @ (-1, 0)\n"
+            "    <country>Россия</country>"
+        )
 
         self.assertEqual(actual, expected)
 


=====================================
thang.txt deleted
=====================================
@@ -1,82 +0,0 @@
-git push --delete   origin isseu437
-git push --delete   origin issue264
-git push --delete   origin issue264-old
-git push --delete   origin issue330
-git push --delete   origin issue331
-git push --delete   origin issue344
-git push --delete   origin issue346
-git push --delete   origin issue347
-git push --delete   origin issue349
-git push --delete   origin issue352
-git push --delete   origin issue356
-git push --delete   origin issue360
-git push --delete   origin issue361
-git push --delete   origin issue362
-git push --delete   origin issue363
-git push --delete   origin issue364
-git push --delete   origin issue365
-git push --delete   origin issue366
-git push --delete   origin issue367
-git push --delete   origin issue368
-git push --delete   origin issue372
-git push --delete   origin issue373
-git push --delete   origin issue374
-git push --delete   origin issue375
-git push --delete   origin issue379
-git push --delete   origin issue380
-git push --delete   origin issue383
-git push --delete   origin issue384
-git push --delete   origin issue385
-git push --delete   origin issue387
-git push --delete   origin issue388
-git push --delete   origin issue389
-git push --delete   origin issue390
-git push --delete   origin issue391
-git push --delete   origin issue393
-git push --delete   origin issue396
-git push --delete   origin issue397
-git push --delete   origin issue407
-git push --delete   origin issue409
-git push --delete   origin issue413
-git push --delete   origin issue414
-git push --delete   origin issue416
-git push --delete   origin issue418
-git push --delete   origin issue421
-git push --delete   origin issue422-2
-git push --delete   origin issue423
-git push --delete   origin issue424
-git push --delete   origin issue425
-git push --delete   origin issue427
-git push --delete   origin issue427-2
-git push --delete   origin issue429
-git push --delete   origin issue433
-git push --delete   origin issue433_2nd
-git push --delete   origin issue433_lts
-git push --delete   origin issue433_lts_2nd
-git push --delete   origin issue434
-git push --delete   origin issue434_2
-git push --delete   origin issue435
-git push --delete   origin issue436
-git push --delete   origin issue436-2
-git push --delete   origin issue449-lts
-git push --delete   origin issue450
-git push --delete   origin issue456
-git push --delete   origin issue457
-git push --delete   origin issue457-lts
-git push --delete   origin issue459
-git push --delete   origin issue459-lts
-git push --delete   origin issue460
-git push --delete   origin issue460-lts
-git push --delete   origin issue465
-git push --delete   origin issue465-lts
-git push --delete   origin issue468
-git push --delete   origin issue471
-git push --delete   origin issue473
-git push --delete   origin issue473-lts
-git push --delete   origin issue475
-git push --delete   origin issue475-lts
-git push --delete   origin issue476
-git push --delete   origin issue481
-git push --delete   origin issue481-lts
-git push --delete   origin py3kopj2
-git push --delete   origin py3kopj22



View it on GitLab: https://salsa.debian.org/debian-gis-team/glymur/commit/fac9559da59677b10dbe02f72c807e89aefd47c4

-- 
View it on GitLab: https://salsa.debian.org/debian-gis-team/glymur/commit/fac9559da59677b10dbe02f72c807e89aefd47c4
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-grass-devel/attachments/20191118/a251d98f/attachment-0001.html>


More information about the Pkg-grass-devel mailing list